From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Sun, 26 Jan 2025 11:22:23 +0100
Subject: Declare current DBAL version

Hardcoding the version currently available in Debian instead of relying
on composer that is not used.

TODO: figure out a way to get the actually installed version, from apt
or dpkg?

Forwarded: not-needed
---
 tests/Doctrine/CarbonTypesTest.php | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

diff --git a/tests/Doctrine/CarbonTypesTest.php b/tests/Doctrine/CarbonTypesTest.php
index ef75c2c..fd7e6ad 100644
--- a/tests/Doctrine/CarbonTypesTest.php
+++ b/tests/Doctrine/CarbonTypesTest.php
@@ -249,13 +249,7 @@ class CarbonTypesTest extends AbstractTestCase
 
     private static function getDbalVersion(): string
     {
-        static $dbalVersion = null;
-
-        if ($dbalVersion === null) {
-            $installed = require __DIR__.'/../../vendor/composer/installed.php';
-            $dbalVersion = $installed['versions']['doctrine/dbal']['version'] ?? '2.0.0';
-        }
-
+        static $dbalVersion = '4.2.2';
         return $dbalVersion;
     }
 
